## swift 2.2.0

=== debian/changelog ===
swift (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed the no intersphinx patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 12:44:38 +0000

swift (2.2.0~rc1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Oct 2014 22:29:36 +0800

swift (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed CVE-2014-3497_properly_quote_www-authenticate_header_value.patch
    applied upstream.
  * Added new command lines into packages:
    - usr/bin/swift-container-info
    - usr/bin/swift-container-reconciler
    - usr/bin/swift-reconciler-enqueue
    - usr/bin/swift-account-info
  * Added new package (+init script): swift-account-expirer (Closes: #760363).

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Jul 2014 19:31:22 +0800

swift (1.13.1-1) unstable; urgency=high

  * New upstream release.
  * CVE-2014-3497: XSS in Swift requests through WWW-Authenticate header.
    Appilied upstream patch properly_quote_www-authenticate_header_value.patch
    (Closes: #752087).

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Apr 2014 11:19:56 +0800

swift (1.12.0-1) unstable; urgency=medium

  * New upstream release (Closes: #737638).
  * Added new (build-)dependency: python-dnspython.
  * Removed CVE-2014-0006 patch, applied upstream.
  * Added PYTHONPATH=. when running unit tests.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Feb 2014 23:21:54 +0800

swift (1.11.0-2) unstable; urgency=high

  * CVE-2014-0006: Use constant time comparison in tempURL. Applied upstream
    patch (Closes: #735582).
  * Fix sphinx doc building.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Jan 2014 00:31:56 +0800

swift (1.11.0-1) unstable; urgency=medium

  * New upstream relase.
  * Removed swift-bench things, since that's gone from upstream project (it's
    moved as a separate project at https://github.com/openstack/swift-bench).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Dec 2013 17:21:20 +0800

swift (1.10.0-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Oct 2013 01:08:31 +0800

swift (1.10.0~rc1-1) experimental; urgency=low

  * New upstream release.
  * Removed applied upstream patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2013 11:59:08 +0800

swift (1.8.0-7) unstable; urgency=low

  * Added "Account Quota Correction" patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2013 16:03:31 +0800

swift (1.8.0-6) unstable; urgency=low

  [ Thomas Goirand ]
  * Renamed all init script with .init extension in the debian folder, so it is
    more easy to list them with ls.
  * Added upstart scripts.
  * Added myself and Julien in debian/copyright for the packaging, plus
    Canonical for the upstart jobs.
  * Removes unwanted python-webob (build-)depends (Closes: #715452).
  * CVE-2013-4155: DoS using superfluous object tombstones. Upstream patch
    fixes handling of DELETE obj reqs with old timestamp (Closes: #719008).

  [ Julien Cristau ]
  * CVE-2013-2161: Check user input in XML responses (closes: #712202)

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Jun 2013 15:33:19 +0800

swift (1.8.0-5) unstable; urgency=low

  * swift-account should be Breaks+Replaces: swift (<< 1.8.0-4~) to allow to
    do backports.
  * Added Fix-formpost-with-queries-without-user_agent.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Jun 2013 15:14:15 +0800

swift (1.8.0-4) unstable; urgency=low

  * Corrects a mistake with the location of the account-server.conf, which
    should have been in swift-account and not the swift package. As a
    consequence, adds Breaks+Replaces: swift (<< 1.8.0-4) (Closes: #710916).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Jun 2013 00:04:35 +0800

swift (1.8.0-3) unstable; urgency=low

  * Ran wrap-and-sort.
  * Installs a default configuration file for swift-dispersion-report
    (Closes: #668775), thanks to Loic Dachary <loic@dachary.org> for reporting.
  * Now using upstream manpages when available.
  * Now using upstream configuration files as default in /etc/swift
    (Closes: #661811)

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Jun 2013 19:55:10 +0800

swift (1.8.0-2) unstable; urgency=low

  * Upload to unstable.
  * Updates the Allow-all-headers-requested-for-CORS.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 May 2013 22:32:52 +0800

swift (1.8.0-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2013 20:30:31 +0800

swift (1.7.5-3) experimental; urgency=low

  * New upstream release.
  * Fixed typoe dependency to python-swiftclient (and not python-swift-client).
  * Removed patches now applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2013 20:31:31 +0800

swift (1.7.5-2) experimental; urgency=low

  * Added missing python-swiftclient dependency in swift-account. Thanks to
    Viktor Křivák for reporting (Closes: #703623).
  * Adds adds Add-handler-for-CORS-actual-requests.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2013 01:01:47 +0800

swift (1.7.5-1) experimental; urgency=low

  [ Mehdi Abaakouk ]
  * New upstream release
  * Fixed -x switch issue in swift-bench

  [ Thomas Goirand ]
  * Fixed wrong format URL in debian/copyright.
  * Added missing AUTHORS file in all packages.
  * Removed useless X-Python-Version: >= 2.6 in control, since we already
  Build-Depends: on python-all (>=2.6.6-3~).
  * Removed \r from debian/copyright.
  * Added missing Provides: ${python:Provides}, uses same short desc as in
  Ubuntu, Break with versions << 1.6 (because of the python-swiftclient
  package).
  * Imported Ubuntu patch to stop accessing network when building docs.
  * Fixes a log_daemon_msg typo present in most swift init scripts.
  * Removes useless "swift is open source software" from long description.

  [ Julien Danjou ]
  * Add /var/cache/swift to use swift-recon


=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>=2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx (>= 1.1.2)
Build-Depends-Indep: python-coverage,
                     python-dnspython,
                     python-eventlet (>= 0.9.15),
                     python-greenlet (>= 0.3.1),
                     python-mock (>= 1.0),
                     python-netifaces,
                     python-nose,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-openssl,
                     python-openstack.nose-plugin,
                     python-oslosphinx,
                     python-paste,
                     python-pastedeploy,
                     python-simplejson (>= 2.0.9),
                     python-swiftclient,
                     python-xattr
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/swift.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/swift.git
Homepage: http://launchpad.net/swift

Package: python-swift
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         python-dnspython,
         python-eventlet (>= 0.9.15),
         python-greenlet (>= 0.3.1),
         python-netifaces,
         python-openssl,
         python-paste,
         python-pastedeploy,
         python-setuptools,
         python-simplejson (>= 2.0.9),
         python-swiftclient,
         python-xattr,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: distributed virtual object store - Python libraries
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python libraries that actually implement
 everything.

Package: swift
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-proxy
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         swift,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: distributed virtual object store - proxy server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a proxy server on which clients can connect to store
 object into Swift.

Package: swift-object
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-container
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Breaks: swift (<< 1.8.0-4~)
Replaces: swift (<< 1.8.0-4~)
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-account
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         python-swiftclient,
         rsync,
         swift,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-object-expirer
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Breaks: swift-object (<< 2.0.0)
Replaces: swift-object (<< 2.0.0)
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         python-swiftclient,
         rsync,
         swift,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: distributed virtual object store - object-expirer
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -f debian/*.upstart
	rm -rf swift.egg-info

# build with sphinx documentation
override_dh_sphinxdoc:
	dh_auto_build
	PYTHONPATH=. sphinx-build doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html
	#python setup.py build_sphinx
	dh_sphinxdoc -O--buildsystem=python_distutils

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	echo "[unit_test]\nfake_syslog = True" > $(CURDIR)/swift-test.conf
	SWIFT_TEST_CONFIG_FILE=$(CURDIR)/swift-test.conf PYTHONPATH=. nosetests test/unit || true
	rm -f $(CURDIR)/swift-test.conf
endif

override_dh_install:
	dh_install --fail-missing --sourcedir=debian/tmp
	rm -rf debian/python-swift/usr/lib/python*/dist-packages/test

	# Install default config files
	install -D -m 0644 $(CURDIR)/etc/dispersion.conf-sample		$(CURDIR)/debian/swift/etc/swift/dispersion.conf
	install -D -m 0644 $(CURDIR)/etc/swift.conf-sample		$(CURDIR)/debian/swift/etc/swift/swift.conf
	install -D -m 0644 $(CURDIR)/etc/account-server.conf-sample	$(CURDIR)/debian/swift-account/etc/swift/account-server.conf
	install -D -m 0644 $(CURDIR)/etc/container-server.conf-sample	$(CURDIR)/debian/swift-container/etc/swift/container-server.conf
	install -D -m 0644 $(CURDIR)/etc/drive-audit.conf-sample	$(CURDIR)/debian/python-swift/etc/swift/drive-audit.conf
	install -D -m 0644 $(CURDIR)/etc/memcache.conf-sample		$(CURDIR)/debian/swift-proxy/etc/swift/memcache.conf
	install -D -m 0644 $(CURDIR)/etc/mime.types-sample		$(CURDIR)/debian/swift-proxy/etc/swift/mime.types
	install -D -m 0644 $(CURDIR)/etc/proxy-server.conf-sample	$(CURDIR)/debian/swift-proxy/etc/swift/proxy-server.conf
	install -D -m 0644 $(CURDIR)/etc/object-expirer.conf-sample	$(CURDIR)/debian/swift-object/etc/swift/object-expirer.conf
	install -D -m 0644 $(CURDIR)/etc/object-server.conf-sample	$(CURDIR)/debian/swift-object/etc/swift/object-server.conf

override_dh_installinit:
	if dpkg-vendor --derives-from ubuntu ; then \
		for i in `ls -1 debian/*.upstart.in` ; do \
			MYPKG=`echo $$i | sed s/.upstart.in//` ; \
			cp $$MYPKG.upstart.in $$MYPKG.upstart ; \
		done ; \
	fi
	dh_installinit --no-start

	dh_installinit --no-start -pswift-container --name=swift-container-replicator
	dh_installinit --no-start -pswift-container --name=swift-container-auditor
	dh_installinit --no-start -pswift-container --name=swift-container-updater
	dh_installinit --no-start -pswift-account --name=swift-account-replicator
	dh_installinit --no-start -pswift-account --name=swift-account-auditor
	dh_installinit --no-start -pswift-account --name=swift-account-reaper
	dh_installinit --no-start -pswift-object --name=swift-object-replicator
	dh_installinit --no-start -pswift-object --name=swift-object-auditor
	dh_installinit --no-start -pswift-object --name=swift-object-updater

## swift 2.2.2

=== debian/changelog ===
swift (2.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release. 
  * debian/patches/fixup-32bit-max-file-size.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 13:40:34 -0500

swift (2.2.1-0ubuntu2) vivid; urgency=medium

  * Systemd enablement:
    - d/*.init: Re-instate and re-write original init scripts. 
    - d/*: Tidy incorrectly named init script files.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Jan 2015 10:42:51 +0000

swift (2.2.1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Open for Vivid.
  * d/control: Update branch locations.

  [ James Page ]
  * New upstream release:
    - d/p/*: Refresh.
  * d/control: Bumped Standards-Version 3.9.6, no changes.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Dec 2014 14:33:19 +0000

swift (2.2.0-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Oct 2014 15:47:13 -0400

swift (2.2.0~rc1-0ubuntu3) utopic; urgency=medium

  * Fix autopkg tests due to upstream mandatory configuration changes:
    - d/tests/swift-daemons,proxy-server.conf: Switch to using upstream
      provided sample proxy server configuration, drop test specific
      configuration.
    - d/*.conf: Set default bind_port values inline with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Oct 2014 11:51:59 +0100

swift (2.2.0~rc1-0ubuntu2) utopic; urgency=medium

  * d/p/fixup-32bit-max-file-size.patch: Limit MAX_FILE_SIZE on 32bit
    architectures during testing, fixing FTBFS on i386 builders
    (LP: #1378810).
  * d/p/fix-ubuntu-tests.patch: Drop, superceeded by above.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Oct 2014 09:57:04 +0100

swift (2.2.0~rc1-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate for OpenStack Juno:
    - d/p/*: Refreshed.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Oct 2014 15:05:01 +0100

swift (2.1.0-0ubuntu1) utopic; urgency=medium

  [ Chuck Short ]
  * debian/patches/fix-doc-no-network.patch: Refreshed.
  * debian/control: Add python-oslosphinx as a build dependency.

  [ James Page ]
  * New upstream release for OpenStack Juno.
  * d/copyright: Add linebreaks to fixup file-without-copyright-
    information warning.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Oct 2014 10:06:11 +0100

swift (2.0.0-0ubuntu2) utopic; urgency=medium

  * Do not compress conf-sample files in the doc directories (used in
    the autopkg tests).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Aug 2014 12:26:45 +0200

swift (2.0.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Open up juno release
  * debian/patches/ring-perms.patch: Dropped no longer needed.
  * debian/switf-container.install: Add swift-reconciler-enqueue
    and swift-container-reconciler.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Jul 2014 10:31:47 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.rc/~rc/" \
 http://tarballs.openstack.org/swift/ swift-(\d.*).tar.gz

## swift 2.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

dnspython>=1.9.4
eventlet>=0.16.1,!=0.17.0
greenlet>=0.3.1
netifaces>=0.5,!=0.10.0,!=0.10.1
pastedeploy>=1.3.3
simplejson>=2.0.9
six>=1.9.0
xattr>=0.4
PyECLib==1.0.7                          # BSD

=== debian/changelog ===
swift (2.5.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Feb 2016 23:17:41 +0800

swift (2.5.0-3) unstable; urgency=high

  [ Ondřej Nový ]

  * Removed useless shlibs dependency.
  * Watch file fixed.
  * CVE-2016-0738: Fix memory/socket leak in proxy on truncated SLO/DLO GET
    (Closes: #812984)
  * Removed wrong systemd unit files.

  [ Ivan Udovichenko ]

  * d/rules: Fix config location for swift-object-expirer service.
  * d/control: Add Breaks field to swift-object-expirer package.

 -- Ondřej Nový <novy@ondrej.org>  Wed, 20 Jan 2016 05:31:21 -0500

swift (2.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Added cron job for drive audit.
  * Removed python-swiftclient dependency.
  * Added libjerasure2 build dependency.
  * Added myself to copyright file.
  * Fixed debian/copyright.
  * Fixed typo in swift-container-sync upstart job.

  [ Marek Kaleta ]
  * Moved drive audit to new package swift-drive-audit.
  * Added myself to copyright file.

 -- Ondřej Nový <novy@ondrej.org>  Sat, 16 Jan 2016 05:05:21 -0500

swift (2.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * Workaround swift-init bug and send SIGKILL if SIGTERM is not successful.
    Thanks to Petr Kuběna <petr.kubena@firma.seznam.cz>
  * Moved same parts of init scripts to template.
  * Allows one to change kill-interval in swift-init.
  * man pages cleanup.

  [ Thomas Goirand ]
  * Removed Pre-Depends on dpkg.
  * Removed Breaks+Replaces now obsolete after the release of Jessie.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Oct 2015 20:54:44 +0000

swift (2.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * swift-object-reconstructor init script is correctly installed now.
  * Fixed service name of object-expirer.
  * Added container-sync init script.
  * All init scripts is using swift-init.
  * Added myself as uploader.

  [ Thomas Goirand ]
  * Adds patch-requirements.txt-to-allow-pyeclib-versions.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 13:21:00 +0000

swift (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Added python-pyeclib as (build-)depends, bumped eventlet required version
    to 0.16.1, and removed a few versions already provided by Jessie.
  * Standards-Version is now 3.9.6.
  * Removed applied upstream patch:
    - CVE-2015-1856_Prevent-unauthorized-delete-in-versioned-container.patch
  * Added usr/bin/swift-object-reconstructor to swift-object.
  * Added startup scripts for swift-container-reconciler and
    swift-object-reconstructor. Thanks to <ondrej.novy@firma.seznam.cz> for the
    bug report and patch (Closes: #788450).

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Jun 2015 09:49:04 +0200

swift (2.2.0-3) unstable; urgency=medium

  * Fixed swift user creation (standardized on pkgos way).

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Jun 2015 17:03:05 +0200

swift (2.2.0-2) unstable; urgency=high

  * CVE-2015-1856 & OSSA 2015-006: Unauthorized delete of versioned Swift
    object. Applied upstream patch: Prevent unauthorized delete in versioned
    container (Closes: #783163).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2015 09:42:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,57 +2,59 @@
 Section: net
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe.rivero@stackops.com>,
-           Mehdi Abaakouk <sileht@sileht.net>
+Uploaders: Thomas Goirand <zigo@debian.org>,
+           Ondřej Nový <novy@ondrej.org>,
 Build-Depends: debhelper (>= 9),
+               libjerasure2,
                openstack-pkg-tools,
-               python-all (>=2.6.6-3~),
+               python-all,
                python-pbr,
                python-setuptools,
-               python-sphinx (>= 1.1.2)
+               python-sphinx,
 Build-Depends-Indep: python-coverage,
-                     python-dnspython,
-                     python-eventlet (>= 0.9.15),
+                     python-dnspython (>= 1.9.4),
+                     python-eventlet (>> 0.17.0),
                      python-greenlet (>= 0.3.1),
-                     python-mock (>= 1.0),
-                     python-netifaces,
+                     python-mock,
+                     python-netifaces (>> 0.10.1),
                      python-nose,
+                     python-nose-exclude,
                      python-nosehtmloutput,
                      python-nosexcover,
                      python-openssl,
                      python-openstack.nose-plugin,
                      python-oslosphinx,
                      python-paste,
-                     python-pastedeploy,
+                     python-pastedeploy (>= 1.3.3),
+                     python-pyeclib (>= 1.0.7),
                      python-simplejson (>= 2.0.9),
+                     python-six (>= 1.9.0),
                      python-swiftclient,
-                     python-xattr
-Standards-Version: 3.9.4
+                     python-xattr (>= 0.4),
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/swift.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/swift.git
-Homepage: http://launchpad.net/swift
+Homepage: https://github.com/openstack/swift
 
 Package: python-swift
 Architecture: all
 Section: python
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: adduser,
-         python-dnspython,
-         python-eventlet (>= 0.9.15),
+         python-dnspython (>= 1.9.4),
+         python-eventlet (>> 0.17.0),
          python-greenlet (>= 0.3.1),
-         python-netifaces,
+         python-netifaces (>> 0.10.1),
          python-openssl,
          python-paste,
-         python-pastedeploy,
+         python-pastedeploy (>= 1.3.3),
+         python-pyeclib (>= 1.0.7),
          python-setuptools,
          python-simplejson (>= 2.0.9),
-         python-swiftclient,
-         python-xattr,
-         ${misc:Depends},
-         ${python:Depends}
-Provides: ${python:Provides}
+         python-six (>= 1.9.0),
+         python-xattr (>= 0.4),
+         ${misc:Depends},
+         ${python:Depends},
+Provides: ${python:Provides},
 Description: distributed virtual object store - Python libraries
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -78,11 +80,9 @@
 
 Package: swift
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-swift (=${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends}
 Description: distributed virtual object store - common files
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -107,13 +107,11 @@
 
 Package: swift-proxy
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: lsb-base (>= 3.0-6),
-         python-swift (=${binary:Version}),
-         swift,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
+Depends: lsb-base (>= 3.0-6),
+         python-swift (=${binary:Version}),
+         swift,
+         ${misc:Depends},
+         ${python:Depends},
 Description: distributed virtual object store - proxy server
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -139,15 +137,14 @@
 
 Package: swift-object
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: lsb-base (>= 3.0-6),
-         python-swift (=${binary:Version}),
-         rsync,
-         swift,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Provides: ${python:Provides}
+Depends: lsb-base (>= 3.0-6),
+         python-swift (=${binary:Version}),
+         rsync,
+         swift,
+         ${misc:Depends},
+         ${python:Depends},
+Provides: ${python:Provides},
+Recommends: swift-drive-audit,
 Description: distributed virtual object store - object server
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -172,17 +169,14 @@
 
 Package: swift-container
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: lsb-base (>= 3.0-6),
-         python-swift (=${binary:Version}),
-         rsync,
-         swift,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Provides: ${python:Provides}
-Breaks: swift (<< 1.8.0-4~)
-Replaces: swift (<< 1.8.0-4~)
+Depends: lsb-base (>= 3.0-6),
+         python-swift (=${binary:Version}),
+         rsync,
+         swift,
+         ${misc:Depends},
+         ${python:Depends},
+Provides: ${python:Provides},
+Recommends: swift-drive-audit,
 Description: distributed virtual object store - container server
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -207,16 +201,14 @@
 
 Package: swift-account
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: lsb-base (>= 3.0-6),
-         python-swift (=${binary:Version}),
-         python-swiftclient,
-         rsync,
-         swift,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Provides: ${python:Provides}
+Depends: lsb-base (>= 3.0-6),
+         python-swift (=${binary:Version}),
+         rsync,
+         swift,
+         ${misc:Depends},
+         ${python:Depends},
+Provides: ${python:Provides},
+Recommends: swift-drive-audit,
 Description: distributed virtual object store - account server
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -241,17 +233,14 @@
 
 Package: swift-object-expirer
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Breaks: swift-object (<< 2.0.0)
-Replaces: swift-object (<< 2.0.0)
-Depends: lsb-base (>= 3.0-6),
-         python-swift (=${binary:Version}),
-         python-swiftclient,
-         rsync,
-         swift,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
+Depends: lsb-base (>= 3.0-6),
+         python-swift (=${binary:Version}),
+         rsync,
+         swift,
+         ${misc:Depends},
+         ${python:Depends},
+Replaces: swift-object (<< 2.5.0-3~)
+Breaks: swift-object (<< 2.5.0-3~)
 Description: distributed virtual object store - object-expirer
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -259,3 +248,7 @@
  rather a long-term storage system for a more permanent type of static data
  that can be retrieved, leveraged, and then updated if necessary. Primary
  examples of data that best fit this type of storage model are virtual machine
+ images, photo storage, email storage and backup archiving. Having no central
+ "brain" or master point of control provides greater scalability, redundancy
+ and permanence.
+ .

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -f debian/*.upstart
	rm -f debian/*.init
	rm -f debian/*.service
	rm -f $(CURDIR)/swift-test.conf

# build with sphinx documentation
override_dh_sphinxdoc:
	dh_auto_build
	PYTHONPATH=. sphinx-build doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html
	#python setup.py build_sphinx
	dh_sphinxdoc -O--buildsystem=python_distutils

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	echo "[unit_test]\nfake_syslog = True" > $(CURDIR)/swift-test.conf
	SWIFT_TEST_CONFIG_FILE=$(CURDIR)/swift-test.conf PYTHONPATH=. nosetests -v test/unit --exe \
		--exclude-test=test.unit.common.test_utils.TestUtils.test_get_logger_sysloghandler_plumbing
	rm -f $(CURDIR)/swift-test.conf
endif

override_dh_systemd_enable:
	# systemd support is not ready
	rm -f debian/*.service

override_dh_install:
	dh_install --fail-missing --sourcedir=debian/tmp
	rm -rf debian/python-swift/usr/lib/python*/dist-packages/test

	# Install default config files
	install -D -m 0644 $(CURDIR)/etc/dispersion.conf-sample			$(CURDIR)/debian/swift/etc/swift/dispersion.conf
	install -D -m 0644 $(CURDIR)/etc/swift.conf-sample			$(CURDIR)/debian/swift/etc/swift/swift.conf
	install -D -m 0644 $(CURDIR)/etc/account-server.conf-sample		$(CURDIR)/debian/swift-account/etc/swift/account-server.conf
	install -D -m 0644 $(CURDIR)/etc/container-server.conf-sample		$(CURDIR)/debian/swift-container/etc/swift/container-server.conf
	install -D -m 0644 $(CURDIR)/etc/container-reconciler.conf-sample	$(CURDIR)/debian/swift-container/etc/swift/container-reconciler.conf
	install -D -m 0644 $(CURDIR)/etc/drive-audit.conf-sample		$(CURDIR)/debian/swift-drive-audit/etc/swift/drive-audit.conf
	install -D -m 0644 $(CURDIR)/etc/memcache.conf-sample			$(CURDIR)/debian/swift-proxy/etc/swift/memcache.conf
	install -D -m 0644 $(CURDIR)/etc/mime.types-sample			$(CURDIR)/debian/swift-proxy/etc/swift/mime.types
	install -D -m 0644 $(CURDIR)/etc/proxy-server.conf-sample		$(CURDIR)/debian/swift-proxy/etc/swift/proxy-server.conf
	install -D -m 0644 $(CURDIR)/etc/object-expirer.conf-sample		$(CURDIR)/debian/swift-object-expirer/etc/swift/object-expirer.conf
	install -D -m 0644 $(CURDIR)/etc/object-server.conf-sample		$(CURDIR)/debian/swift-object/etc/swift/object-server.conf

override_dh_installinit:
	# systemd support is not ready
	rm -f debian/*.service

	if dpkg-vendor --derives-from ubuntu ; then \
		for i in `ls -1 debian/*.upstart.in` ; do \
			MYPKG=`echo $$i | sed s/.upstart.in//` ; \
			cp $$MYPKG.upstart.in $$MYPKG.upstart ; \
		done ; \
	fi

	for i in `ls -1 debian/*.init.in` ; do \
		MYPKG=`echo $$i | sed s/.init.in//` ; \
		cat $$MYPKG.init.in debian/FOOTER.init.in > $$MYPKG.init ; \
	done

	dh_installinit --no-start

	dh_installinit --no-start -pswift-container --name=swift-container-replicator
	dh_installinit --no-start -pswift-container --name=swift-container-auditor
	dh_installinit --no-start -pswift-container --name=swift-container-updater
	dh_installinit --no-start -pswift-container --name=swift-container-reconciler
	dh_installinit --no-start -pswift-container --name=swift-container-sync
	dh_installinit --no-start -pswift-account --name=swift-account-replicator
	dh_installinit --no-start -pswift-account --name=swift-account-auditor
	dh_installinit --no-start -pswift-account --name=swift-account-reaper
	dh_installinit --no-start -pswift-object --name=swift-object-replicator
	dh_installinit --no-start -pswift-object --name=swift-object-auditor
	dh_installinit --no-start -pswift-object --name=swift-object-updater
	dh_installinit --no-start -pswift-object --name=swift-object-reconstructor
